# env
# Written in 2019-2020 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.
.POSIX:
.SUFFIXES:

PREFIX=	$(HOME)

DIRS=	bin dotfiles spoon themes utils xdg-config-dir

all: install

clean: clean-bin clean-dotfiles clean-themes
	rm -f env.tgz

clean-bin:
	cd bin && $(MAKE) clean

clean-dotfiles:
	cd dotfiles && $(MAKE) clean

clean-themes:
	cd themes && $(MAKE) clean

diff: diff-dotfiles diff-xdg-config-dir

diff-dotfiles:
	-cd dotfiles && $(MAKE) diff

diff-xdg-config-dir:
	-cd xdg-config-dir && $(MAKE) diff

dist: clean
	pax -ws ',^,env/,' Makefile $(DIRS) | gzip >env.tgz

install: install-bin install-dotfiles install-xdg-config-dir

install-bin:
	cd bin && $(MAKE) install

install-dotfiles:
	cd dotfiles && $(MAKE) install

install-xdg-config-dir:
	cd xdg-config-dir && $(MAKE) install

uninstall: uninstall-bin uninstall-dotfiles uninstall-xdg-config-dir

uninstall-bin:
	cd bin && $(MAKE) uninstall

uninstall-dotfiles:
	cd dotfiles && $(MAKE) uninstall

uninstall-xdg-config-dir:
	cd xdg-config-dir && $(MAKE) uninstall
